﻿
## Authors Notes

**Updating to version 1.2.11+ from an earlier version will require an uninstall of the Do or Die SE config folder prior to updating. Some test files made it into the zip.**
	
	You will see two DropThat warnings about overlapping World Spawner's, index numbers 15 and 24 this is intentional and can be ignored. 
	You will noticed a marked increase in difficulty with 1.1.12+ since I moved the CLLC Yaml's to the config folder and included them in a subfolder they have not been working correctly. 
	I have moved them to the Config folder so they load correctly. Deaths Inc... 

**I have included a config for the Dual Wield mod for balance reasons, the use of this mod is down to each user and not included with this pack. If you use this mod NPC's will take full advantage.**


## Brief Overview

	Allows upto 13 Star Mobs and Bosses to spawn depending on world and sector level. 
	5 New Bosses. (See Below)
	3 New Boss Invasions. (see below) 
	5 Star and over start spawning at world level 1. (Adjust as you see fit in the CLLC config) 
	Populates Mistlands with four different NPCs, Corrupted Elderling, Vilefang, Void Spider, Jumping Spider and Black Spiders. 
	Poulates Deep North with Gray Wolf (NPC), Dire Wolf, Ice Drake, Ice Troll, Ice Ogre, Ice Spider, Awakened and Greater Fenring. 
	Populates Ashlands with Fire Golem, Obsidian Golem, Greater Surtling, Flame Spider and Flame Drakes. 
	Adds Frost Spider, Ghost Warrior and Skeleton Warrior to Mountains. 
	Adds Elderling and Forest Spider to Black Forest. (Elder death trigger) 
	Adds Forest Wolf to Meadows and Black Forest. (Moder death trigger) 
	Each Biome has 2 NPC Mini Bosses, one in the day and one in the night. (see below) 
	
	
## Installation

**Auto**

	Use a mod manager of your choice.


**Manual** 

	Download the Zip. Open it up and Drag the contents into your profiles(Mod Managers) or main installs (Manual), BepInEx folder and overwrite when asked. 
	
	Thunderstore Mod Manager Profile Location:- C:\Users\USER_NAME\AppData\Roaming\Thunderstore Mod Manager\DataFolder\Valheim\profiles\PROFILE_NAME\BepInEx. 
	
	R2MM Profile Location:- C:/Users/USER_NAME/AppData/Roaming/r2modmanPlus-local/Valheim/profiles/PROFILE_NAME/BepInEx. 


For further assistance you can find me on my offical Discord:- https://discord.gg/7BcEZXhRbV


## Questing

Uses Aedenthorn's Questing system as a soft requirement. (Includes cfg's and custom quest files, use down to user)
For questing to work you will require these 2 mods from nexus mods. 

- [Questing Framework] (https://www.nexusmods.com/valheim/mods/1583)
- [Hugin Quests] (https://www.nexusmods.com/valheim/mods/1588)

Install them in to your profiles, BepInEx\Plugins folder, or, your main games BepInEx\Plugins folder if you manually installed all your mods.

Integrated Bone Appetit and Potions Plus items into the DoD Quest's as rewards. These mods will be required. I know they are in the mod list, I also know a few of you play without them, take this as a pre warning.

Hugin will offer a quest every 20 mins. There is a mix of Killing, Gathering, Cooking, Mining, Collecting and Gardening quests, well more like Tasks tbh, 161 in total.


## Known Issues

**Better Raids**

In com.alexanderstrada.rrrbetterraids.cfg, I have the option: UpdateEventMobMinimapPins option set to false. This is to prevent an error showing in the log when you leave the raid event zone with mobs still alive. You can turn this option on as it does not look to effect game play in anyway. Upto User.

**Loot**

Random Legendaries showing up instead of Set Items. Under investigation.
Free loot at 0,0,0. Under investigation. (DoD Kit drops disabled as a result)

**Questing**

Random Quests can be odd. Issue with custom mobs not registering for kill quests. Been looked at.

**Epic Loot**

Mildly effects performance. (10-15 fps loss)

**RRR Mods**

Greatly effects performance. (25-45fps loss, these mods are been phased out gradually)


## Incompatible Mods

- ValhiemLib and by extension any mod that still uses this defunct library.
- JotunnLib and by extension any mod that still uses this defunct library.
- ValheimPlus (Conflicts with some of the dependencies)
- Valhiem Level System (Conflicts with Epic Loot and Dual Wield)
- Serverside Simulations (Breaks Spawners)


## Mods that can cause Issues

- Simply Recycling can break Epic Loot/Tombstone depending on mods used.
- Terrahiem. (NRE Spam)
- Forgotten Biomes. (NRE Spam)


## Crossover Mods

- Digital Roots Bounties, its a case of his or mine. Up to user. (Until I find the time to look over this mod and mine and see if its possible to have both)


## Difficulty

Mobs have 40% more health and 35% more damage and an additional 20% health and 17.5% damager per player.
Scaling difficulty for all Monsters, 5% per World Level.
Vanilla bosses get a Buff per world level after killing them the first time. (The buff increases their Tier by 1 per world level)
Monsters gain 25% Health and Damage after you kill the Vanilla boss in that Biome.


## Servers

Required on both server and client due to dependencies.
May require balancing for more than 2-3 players at a time. Can be done by tweaking the DoD CLLC yaml's located in the Configs folder.


## Acknowledgements

	A special thanx to: DefendYourBase, RandyKnapp, Neurod0me, Tykea, HugotheDwarf, GoldenJude and ASharpPen, creators of the mods used. 
	Without them it would have been impossible to create DoD, thank you very much!

	Cepera for help with fixes and updates.
  
  If you like and use this ModPack, show you support by leaving a like for each mod included. Cheers and happy hunting!
	If you wish to donate please donate to any of the modpacks dependancies, as I do not accept donations myself.
  
  
## Epic Loot Magic Effect Changes

	Resistance Percents range from 1-40% and are limited to the following items:

	Helm: Blunt & Fire
	Chest: Pierce & Frost
	Legs: Slashing & Lightning
	Shield: Elemental & Physical
	Shoulder: Poison

	Resistances (Like the games Wolf Armour) are Cloak and Utility only. Very Low Probability. 
	Luck is Helmet only. 
	Block and Parry range from 15-75% Depending on Rarity. 
	Damage Percent range from 5-45% depending on Rarity. 
	Damage Flat range from 3-30 depending on Rarity. 
	Carry Weight is limited to Shoulder and Utility. Range from 25-225 depending on Rarity. 
	Skills range from 1-20 depending on Rarity. 
	Health and Stamina Regen percent ranges from 5-45% depending on Rarity. 
	Health and Stamina increases range from 15-75 depending on Rarity. 
	Attack Speed, Stagger Duration, Quick Learner, Reflect Damage and all Low Health Effects range from 5-27% depending on Rarity. 
	All Magical Effect scale up with no crossover. This means a higher Rarity will always be better than its previous Rarity. 
	Probably some I have missed. 


## Creature Level and Loot Control Changes

	Health Increase Per Player - 20% 
	Damage Increase Per Player - 17.5% 
	Additonal Player Count - 2 (Plus number of Players) 
	Difficulty - Custom by World Level 
	Creature and Boss Special Effects - On (As per Default CLLC) 
	Sectors - On (World Level 1) 
	Sector Level Up Kill Count - 10, 25, 50 
	World Level Up - Ingame Days: 15, 25, 50, 100, 200 
	Scaling Difficulty By World Level - 5% Health, 10% Damage, 5% Attack Speed, 5% Resistance per world Level. 
	
World Level Star Chances (0-10 Creatures and Bosses) 

- Level 0: 50, 44, 4, 1, 1
- Level 1: 40, 50, 6, 3, 1, 1
- Level 2: 27, 52, 11, 5, 2, 2, 1, 1
- Level 3: 17, 56, 13, 6, 2, 2, 2, 1, 1
- Level 4: 7, 57, 16, 8, 4, 2, 2, 2, 1, 1
- Level 5: 0, 55, 17, 10, 7, 3, 2, 2, 2, 1, 1

﻿Sector Level Ups can increase this by a further 3 Stars. 

**Changing CLLC settings**

- Do not change it off Custom or World Level. This will mess thing up and you may find yourself with enemies you can not handle if you did not adjust most of the other settings to balance it out.
- If you require to tweak the settings, you can do the difficulty via the DoD CLLC yamls. World and Sector days will also provide a buffer if increased.

## Judes Equipment Changes

TBD - Waiting on up coming update.


## Chaos Armor Changes 

**Tier One**

	Armor: 34
	Armor per level: 2
	Materials: SteelBar, Felmetal Bar, Spider Chitin, Voidling Core
	In Game Tier: 6.5

**Tier Two**

	Armor: 40
	Armor per level: 2
	Materials: Frometal Bar, Felmetal Bar, Voidling Core, Tier One Armor
	In Game Tier: 7.5

**Tier Three**

	Armor: 46
	Armor per level: 2
	Materials: Flametal, Felmetal Bar, Voidling Core, Tier Two Armor
	In Game Tier: 8.5


## Magic Overhaul Class Changes

**Death Knight**
	
	Type: Starter
	Item: None
	Helmet: 32AC 
	Weapon: 75D
	Mana Regen: 1
	Skill 2 Mana: 50
	Skill 1 Damage: 30
	Skill 2 Lifesteal: 0.2%
	Skill 3 Heal: 5%
	Skill 4 Damage: 25%
	Max Souls: 75

**Archer**

	Type: Ranged
	Item: Essence of the Archer
	Helmet: 34AC
	Weapon: 95D
	Mana Regen: 2
	Skill 1 Damage: 51

**Berserker**

	Type: Melee
	Item: Essence of the Berserker
	Helmet: 38AC
	Weapon: 90D
	Mana Regen: 2
	Skill 1 Damage: 47
	Skill 3 Stamina Use: -75%
	Skill 4 Attack Speed: 100%

**Druid**

	Type: Magic
	Item: Essence of the Druid
	Helmet: 35AC
	Weapon: 80D
	Mana Regen: 3
	Skill 1 Mana Cost: 75
	Skill 2 Damage: 42
	Skill 3 Heal: 55

**Mage**

	Type: Magic
	Item: Essence of the Mage
	Helmet: 35AC
	Weapon: 80D
	Mana Regen: 3
	Skill 2 Damage: 50

**Monk**

	Type: Defense
	Item: Essence of the Monk
	Helmet: 40AC
	Weapon: 65D
	Mana Regen: 2
	Skill 1 Defense: 75%
	Skill 2 Damage: 46

**Ninja**

	Type: Melee
	Item: Essence of the Ninja
	Helmet: 38AC
	Weapon: 90D
	Mana Regen: 2
	Skill 1 Heal: 27%
	Skill 3 Damage: 42

**Paladin**

	Type: Defense
	Item: Essence of the Paladin
	Helmet: 40AC
	Shield: 175 Block Power
	Mana Regen: 2
	Skill 3 Defense: 125%
	Skill 4 Defense: 75%

**Rogue**

	Type: Melee
	Item: Essence of the Rogue
	Helmet: 38AC
	Weapon: 90D
	Mana Regen: 2
	Skill 3 Damage: 50%
	Skill 4 Damage: 75%

**Shaman**

	Type: Magic
	Item: Essence of the Shaman
	Helmet: 35AC
	Weapon: 80D
	Mana Regen: 3
	Skill 2 Damage: 48
	Skill 4 Damage: 30

**Warlock**

	Type: Magic
	Item: Essence of the Warlock
	Helmet: 35AC
	Weapon: 80D
	Mana Regen: 3
	Skill 1 Damage: 30
	Skill 2 Damage: 50
	Skill 4 Damage: 35


## Loot

	Item drops are intentionally hard to come by via killing mobs, 90% of the time normal worldly mobs will drop enchanting materials only. 
	This is to make Crafting still a viable option, only option early game, encourage early enchanting and finding items via other means more rewarding.
	Promotes exploration, heavily. Hodor hunting a must, Haldor too....
	Chests are your friend. World, Dungeon and Treasure Hunts!

	Explore, Explore, Explore!

	You'll be the next Indiana Jones in no time!


## Epic Loot Legendary Item Sets

6 Piece

    Unlucky Serf's Rags (Meadows)

5 Piece

    Beastmaster (Ash Lands)
    Warlord's Battlegear (Yagluth)

4 Piece

    Bloodsoaked Armor (Mistlands)
    Cinbri Attire (Deep North)
    Battlemage Vestments (Plains)
    Glitterdelve Heirlooms (Mountain)
    Plagueheart Raiment (Bonemass)
    Moder's Demise (Moder)

3 Piece

    Ravager's Outfit (Swamp)
    Relentless  (Blackforest)
    Spirit of Eikythr (Eikthyr)
    Giantstalker's Armor (The Elder)

2 Piece

    Teasha's Armament (Mistlands\DeepNorth)
    Traveller's Trinkets (Mountin\Plains)


## Drop Rates

Non Boss Drop Rates:

        Enchanting Mats: 5-15% per material type
        Magic Item: 10%
        Item Sets: 0.5%
    
Vanilla Boss Drop Rates

        Runestone: 1-2 (50%)
        Magic Item: 1-3 (100%, 50%, 25%)
        Chaos Armor: 10%
        Unique Item Set: 10%

Mini Boss Drop Rate

        Magic Item: 1-2
        Hugos 2H: 10%
        Chaos Armor: 5%

Note: Boss and Mini Boss Item Sets currently in planning.


## Bosses


**Zena (Tier 8) [Elemental]**

	Abilities: Groundslam, Kick, Fireball, Frostfire Fireball, Frostfire Meteors, Frostfire Nova, AoE Shield, Frostfire Beam, Summon Obsidian Golem, Summon Ice Golem, Cone of Cold.
	Type: Custom Raid - lasts 45 minutes, 15% chance every 10 mins.
	Trigger: Need to kill a Ice Golem, Obsidian Golem, Fire Golem, Lincoln Hunt, Draven Nox, Ash Vexx and Cinder Mortem, a minimum of 105 Days and be in an Ash Lands base.

**Neige (Tier 7) [Elemental]**

	Abilities: Groundslam, Kick, Frost Nova, Coldbreath, Ice Shards, Ice Bolt, Frost Tornado and Summon Ice Golem
	Type: Custom Raid - lasts 35 minutes, 15% chance every 10 mins.
	Trigger: Need to kill Moder, Ice Golem, Firion Winter, Lincoln Hunt, Lux Frost, Draven Nox, a minimum of 90 Days and be in a Deep North base.

**Artan (Tier 7) [Yeti]** (Under Construction)

	Abilities: Wounding Strike, Festering Strike, Impending Doom, Frost Strike, Frost Nova and Coldbreath.
	Type: Custom Raid - lasts 35 minutes, 15% chance every 10 mins.
	Trigger: Need to kill a Yeti, Farkas, and White Werewolf, a minimum of 90 Days and be in Deep North.

**Risith (Tier 6) [Spider]**

	TBA/ToDo


**Laughing Rylan (Tier 6) [Humanoid]**

	Abilities: Fire Arrow, Exploding Arrow, Poision Arrow, Stomp, Groundslam, Shockwave
	Type: Custom Raid - lasts 25 minutes, 15% chance every 10 mins.
	Trigger: Need to kill a Thief, Brigand, Shadow, Stalker, Scoundrel and Assassin, a minimum of 75 Days.


**Skir Sandburst (Tier 5) [Goblin Shaman]**

	See DoDMonsters.


**Farkas (Tier 4) [Wolf]**

	See DoDMonsters.


**Bhyg'shan (Tier 3) [Skeleton]**

	See DoDMonsters.


**Bitterstump (Tier 2) [Greydwarf Shaman]**

	See DoDMonsters.

**Ram-bone (Tier 1) [Boar]**

	See DoDMonsters.


**Anubisath (Tier 1) [Molluscan]**

	Abilities: Water Strike, Water Jet, Cold Rain
	Roaming: Coast, Rivers and Streams requires Thunderstorms or Mist.
	Trigger: Need to kill Eikthyr and have his Trophy on you.
	

## Mini Bosses

**UpirGrim (Tier 1)**

	Abilities: Jump Attack and Low Blow
	Roaming: Meadows, 2% Chance.

**ZaineEvilian (Tier 1)**

	Abilities: Front Backstab and Kick
	Roaming: Meadows, 2% Chance.

**LazarusAutumn (Tier 2)**

	Abilities: Jump Attack and Whirlwind
	Roaming: Black Forest, 2% Chance.

**GrailThornheart (Tier 2)**

	Abilities: Poison Cloud and Shockwave
	Roaming: Black Forest, 2% Chance.

**CrisenthShadowsoul (Tier 3)**

	Abilities: Whirlwind, Poison Cloud, Sonicboom
	Roaming: Swamp, 2% Chance.

**JaydenShadowmend (Tier 3)**
	
	Abilities: Poison Cloud, Poision Arrow and Whirlwind
	Roaming: Swamp, 2% Chance.

**LuxFrost (Tier 4)**
	
	Abilities: Cone of Cold, Ice Barage and Kill Shot
	Roaming: Mountains, 2% Chance.

**FirionWinter (Tier 4)**
	
	Abilities: Cone of Cold, Ice Barage and Whirlwind
	Roaming: Mountains, 2% Chance.

**EchoBlack (Tier 5)**

	Abilities: Fire Nova, Firebolt and Fireball
	Roaming: Plains, 2% Chance.

**MathianSerphent (Tier 5)**

	Abilities: Fire Beam, Fire Nova, Firebolt
	Roaming: Plains, 2% Chance.

**SceledrusShadowend (Tier 6)**

	Abilities: Shock Jump, Shockwave and Whirlwind
	Roaming: Mistlands, 2% Chance.

**LazarusDeamonne (Tier 6)**

	Abilities: Shock Jump, Shockwave and Whirlwind
	Roaming: Mistlands, 2% Chance.

**LincolnHunt (Tier 7)**

	Abilities: Sonicboom, Ice Storm and Kill Shot
	Roaming: Deep North, 2% Chance.

**DravenNox (Tier 7)**

	Abilities: Ice Storm, Whirlwind and Cone of Cold
	Roaming: Deep North, 2% Chance.

**AshVexx (Tier 8)**

	Abilities: Fire Nova, Fireball and Groundslam
	Roaming: Ashlands, 2% Chance.

**CinderMortem (Tier 8)**

	Abilities: Fire Beam, Meteors and Firebolt
	Roaming: Ashlands, 2% Chance.

- Recommened a new Character and World although it is not required. Use on a existing world at your own risk. 
- You can Limit the risk by seeing what day your world is on and comparing that with the world level listed above and adjusting the CLLC config for World Level Days.


## Recommended Mods

- Passive Powers By Smoothbrain(Config Included)
- Backpack Redux by Aedenthorn (Config Included)
- Discard or Recylce Inventory Items by Aedenthorn (Config Included)
- Durability by Aedenthorn (Config Included)
- Supplemental Raids
- TripleBronzeJVL
- Equipment and Quickslots
- Instant Monster Loot Drop


## Indexes

	Uses SpawnThat Indexes 950-1100.
	Uses DropThat Indexes 1000-1500 for Epic Loot additions.
	Uses DropThat Indexes 50-60 for additions to chests.
	
	
## Patch Notes

**1.2.13**

	Fixed Skugga not showing up.
	Fixed Black Deer not spawning.
	Fixed Mini Bosses not showing up.
	Updated incompatible mod list.
	Moved Miniboss and Knarr spawns over to Spawn That's API.

**1.2.12**

	Removed some sneaky test files.
	
**1.2.11**

	Minor Bugfixing.
	Update to new format for Judes Equipment.

**1.2.10**

	Moved all NPC's over to DoD Monsters.
	Added Magic Overhaul Location. (with in 100m of Trophy Ring)
	Added Do Or Die Compendium Location. (with in 100m of Trophy Ring)
	Fixed Knarr.
	
**1.2.9**

	Moved Minibosses to Locations.
	Updated Location spawners added by DoD Biomes.
	Re-added Hugos Armory. (You can buy his items from Knarr)
	Added Instanced Villages and Wildlife mods as Requirements.
	Re-added missng configs for Judes Equipment.
	Updated to Latest DoD Biomes.
	
**1.2.8**

	Removed 2 broken or conflicting mods.
	Added DoD Biomes as a Requirement.
	
**1.2.7**

Removed some broken drops. (sorry for the double update)

**1.2.6**

	Removed Hugos Armory.
	Reduced Refect Damage from item sets.
	Added Digitalroots Slope Combat Fix as a requirement. (To prevent users from using the broken SCF mod)
	
**1.2.5**

	Stopped Ram'Bore Altar spawning on its own :)
	Fixed Typo in Forgotten Biomes cfg.
	Added This Goes Here as a requirement.
	Fixed Bugged Chests.

**1.2.4**

	Updated for DoD Monster 0.4.3.
	Laughing Rylan's minions are now called Herfiligr, Skugga and Einherjar.
	Updated all new locations spawns.
	Removed Bears.
	Fixed Black Werewolf been hostile to his brethren.
	Stopped Deep North Werewolves from having the CLLC effect, Splitting.
	Updated Forgotten Biomes cfgand veg files.
	Included placeholder (just wood) Knarr the Trader config, changed his currency to Skull Token. (Feel free to omit these changes if your using Knarr)
	
**1.2.3**

	Fixed issue's preventing the mod loading correctly.


**1.2.2**

	Adjusted Hugins rewards.
	Adjusted Discard Inventory Items cfg.
	Added new shield drops to Vanilla Bosses.
	Fixed Bhygshan not dropping Ravager Axe.
	Reduced kit drops from chests slightly.
	Added some of the DoD Trophies too Epic Loot's deconstruction.
	Fixed Vanilla Bosses not dropping Class Items.
	Vanilla bosses get a Buff per world level after killing them the first time. (The buff increases their Tier by 1 per world level)
	Fixed Shadows in Mistlands not dropping class weapons, also fixed them not using all of the class weapons.
	Fixed Rylan class drops not having a Rarity.
	Moved Shadow people in Mistlands to the 3 New Locations.
	Fixed Greater Surtling Trophy not working for Epic Loot.
	Voidlings and Stormlings can spawn in Mistlands.
	Removed VLS Config and added to incompatible list, messes with Epic Loot. (Cant have that, this pack is based around EL)
	Updated to latest version of Hugo's Armory.
	
**1.2.1**

  Tweaked Haldor's random quest rewards so they are not so majestic.
  Removed Skeleton Trophy from Tormented.
  Removed Duplicated Gray Wolf and added Tormented to Bounties.
  
**1.2**

  Removed VLS Req. Config still included for ya all that use it.
  Tweaked VLS Config.
  Enabled Zena and Neige Boss raids. (Ash Lands and Deep North)
  Reduced the distance DoD Ores spawn from each other.
  Fixed Flame Spider and Lava Golem not spawning in Ash Lands.
  Tweaked Haldor config for random quests.
  Fixed Obsidian Golem not waking up.
  Added config for Potions Plus. (Rebalanced for DoD)
  Tweaked Item Sets.
  Tweaked Dual Wield settings.
  Moved V50 over to yaml and deleted the defunct folder from the zip.
  Enabled 'raids end when mobs die', no more hiding.
  Fixed Flametal Armor (Mistlands armor from Jude) crafting costs.
  Fixed a couple of Judes items that were set to self destroy once durability reached 0.
  General bug Fixes. (Duplicate Drops, Typo's in Drop/Spawns etc)	  
  Quests added to Hugin:	
  86 Kill Quests.
  3 Gardening Quests.
  9 Mining Quests.
  2 Collection Quests.
  5 Wood Cutting Quests.
  1 Fishing Quest.
  8 Gather Quests.
  47 Cooking Quests.	
  Rewards: Coins, Foods, Class Items, Meads, Potions, Infused Gemstone & Grey Pearl.
